
From: Olaf Hering <olh@suse.de>

make ARCH=ppc64 -j12 O=/dev/shm/R all fails, the linker script is not in
the output directory.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc64/boot/Makefile |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN arch/ppc64/boot/Makefile~fix-make-o=-for-ppc64-boot arch/ppc64/boot/Makefile
--- 25/arch/ppc64/boot/Makefile~fix-make-o=-for-ppc64-boot	2004-09-20 10:50:03.389020120 -0700
+++ 25-akpm/arch/ppc64/boot/Makefile	2004-09-20 10:50:03.393019512 -0700
@@ -29,7 +29,7 @@ BOOTCFLAGS	:= $(HOSTCFLAGS) $(LINUXINCLU
 BOOTAS		:= $(CROSS32_COMPILE)as
 BOOTAFLAGS	:= -D__ASSEMBLY__ $(BOOTCFLAGS) -traditional
 BOOTLD		:= $(CROSS32_COMPILE)ld
-BOOTLFLAGS	:= -Ttext 0x00400000 -e _start -T $(obj)/zImage.lds
+BOOTLFLAGS	:= -Ttext 0x00400000 -e _start -T $(srctree)/$(src)/zImage.lds
 BOOTOBJCOPY	:= $(CROSS32_COMPILE)objcopy
 OBJCOPYFLAGS    := contents,alloc,load,readonly,data
 
_
